package com.cf.imes.framework.common.enums;


import lombok.AllArgsConstructor;
import lombok.Getter;

@AllArgsConstructor
@Getter
public enum PlanTypeEnum {

    MIXEDORDERPLAN(1, "混单排单"),

    ORDERPLAN(2, "订单排单");

    private Integer type;
    private String scheduling;


    public boolean equals(Integer status) {
        return this.type .equals(status) ;
    }

    public boolean equals(PlanTypeEnum enableStatusEnum) {
        return enableStatusEnum != null && enableStatusEnum.type .equals(this.getType()) ;
    }
}
